cppcms::json::bad_value_cast Class Reference

The error that is thrown in case of bad conversion of json::value to ordinary value. More...

`#include <cppcms/json.h>`

Inheritance diagram for cppcms::json::bad_value_cast:

## Public Member Functions

| bad_value_cast (std::string const &s)
| bad_value_cast (std::string const &s, json_type actual)
| bad_value_cast (std::string const &s, json_type expected, json_type actual)
virtual const char * | what () const throw ()
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members

Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

The error that is thrown in case of bad conversion of json::value to ordinary value.

When implementing json::traits for complex classes you are expected to throw this exception in case of invalid formatting

The documentation for this class was generated from the following file:

- cppcms/json.h